// Machine generated IDispatch wrapper class(es) created with Add Class from Typelib Wizard

#import "C:\\AlgoStars\\APPs(UAT)\\TCoreRelease\\Components\\TCQuoteWrapperAPI.dll" no_namespace
// CITCQuoteAPIExEvents wrapper class

class CITCQuoteAPIExEvents : public COleDispatchDriver
{
public:
	CITCQuoteAPIExEvents(){} // Calls COleDispatchDriver default constructor
	CITCQuoteAPIExEvents(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	CITCQuoteAPIExEvents(const CITCQuoteAPIExEvents& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

	// Attributes
public:

	// Operations
public:


	// _ITCQuoteAPIExEvents methods
public:
	STDMETHOD(OnCommandMsg)(long MsgType, long MsgCode, LPCTSTR MsgString)
	{
		HRESULT result;
		static BYTE parms[] = VTS_I4 VTS_I4 VTS_BSTR ;
		InvokeHelper(0x1, DISPATCH_METHOD, VT_HRESULT, (void*)&result, parms, MsgType, MsgCode, MsgString);
		return result;
	}
	STDMETHOD(OnQuoteData)(long SymbolType, long DataType, LPDISPATCH QuoteData)
	{
		HRESULT result;
		static BYTE parms[] = VTS_I4 VTS_I4 VTS_DISPATCH ;
		InvokeHelper(0x2, DISPATCH_METHOD, VT_HRESULT, (void*)&result, parms, SymbolType, DataType, QuoteData);
		return result;
	}
	STDMETHOD(OnQuoteTrigger)(LPCTSTR strKey, LPCTSTR strParam, long lSymbolType, LPDISPATCH QuoteData)
	{
		HRESULT result;
		static BYTE parms[] = VTS_BSTR VTS_BSTR VTS_I4 VTS_DISPATCH ;
		InvokeHelper(0x3, DISPATCH_METHOD, VT_HRESULT, (void*)&result, parms, strKey, strParam, lSymbolType, QuoteData);
		return result;
	}
	STDMETHOD(OnSymbolClassificationsUpdate)()
	{
		HRESULT result;
		InvokeHelper(0x4, DISPATCH_METHOD, VT_HRESULT, (void*)&result, NULL);
		return result;
	}
	STDMETHOD(OnProductCurrencyUpdate)()
	{
		HRESULT result;
		InvokeHelper(0x5, DISPATCH_METHOD, VT_HRESULT, (void*)&result, NULL);
		return result;
	}
	STDMETHOD(OnCurrencyExchangeRateUpdate)()
	{
		HRESULT result;
		InvokeHelper(0x6, DISPATCH_METHOD, VT_HRESULT, (void*)&result, NULL);
		return result;
	}
	STDMETHOD(OnGeneralServiceUpdate)()
	{
		HRESULT result;
		InvokeHelper(0x7, DISPATCH_METHOD, VT_HRESULT, (void*)&result, NULL);
		return result;
	}
	STDMETHOD(OnSetTopic)(LPCTSTR strTopic, long lParam, LPCTSTR strParam, VARIANT * pvParam)
	{
		HRESULT result;
		static BYTE parms[] = VTS_BSTR VTS_I4 VTS_BSTR VTS_PVARIANT ;
		InvokeHelper(0x8, DISPATCH_METHOD, VT_HRESULT, (void*)&result, parms, strTopic, lParam, strParam, pvParam);
		return result;
	}
	STDMETHOD(OnGeneralQueryReturn)(long lIndex, LPCTSTR strQueryName, VARIANT * varQueryResult)
	{
		HRESULT result;
		static BYTE parms[] = VTS_I4 VTS_BSTR VTS_PVARIANT ;
		InvokeHelper(0x9, DISPATCH_METHOD, VT_HRESULT, (void*)&result, parms, lIndex, strQueryName, varQueryResult);
		return result;
	}
	STDMETHOD(OnInstrumentInfoUpdate)()
	{
		HRESULT result;
		InvokeHelper(0xa, DISPATCH_METHOD, VT_HRESULT, (void*)&result, NULL);
		return result;
	}
	STDMETHOD(OnSymbolLookupUpdate)()
	{
		HRESULT result;
		InvokeHelper(0xb, DISPATCH_METHOD, VT_HRESULT, (void*)&result, NULL);
		return result;
	}
	STDMETHOD(OnServerTimeDiff)(long TimeDiff)
	{
		HRESULT result;
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0xc, DISPATCH_METHOD, VT_HRESULT, (void*)&result, parms, TimeDiff);
		return result;
	}
	STDMETHOD(OnHotMonthUpdate)()
	{
		HRESULT result;
		InvokeHelper(0xd, DISPATCH_METHOD, VT_HRESULT, (void*)&result, NULL);
		return result;
	}
	STDMETHOD(OnQuoteDataSyn)(long lSymbolType, long lDataType, LPDISPATCH lpDispData, LPCTSTR bstrModifiedFields)
	{
		HRESULT result;
		static BYTE parms[] = VTS_I4 VTS_I4 VTS_DISPATCH VTS_BSTR ;
		InvokeHelper(0xe, DISPATCH_METHOD, VT_HRESULT, (void*)&result, parms, lSymbolType, lDataType, lpDispData, bstrModifiedFields);
		return result;
	}
	STDMETHOD(OnUserConfigUpdate)(LPCTSTR strQueryName, LPCTSTR strData)
	{
		HRESULT result;
		static BYTE parms[] = VTS_BSTR VTS_BSTR ;
		InvokeHelper(0xf, DISPATCH_METHOD, VT_HRESULT, (void*)&result, parms, strQueryName, strData);
		return result;
	}
	STDMETHOD(OnStatusInfoUpdate)(LPCTSTR bstrType, long Status)
	{
		HRESULT result;
		static BYTE parms[] = VTS_BSTR VTS_I4 ;
		InvokeHelper(0x10, DISPATCH_METHOD, VT_HRESULT, (void*)&result, parms, bstrType, Status);
		return result;
	}

	// _ITCQuoteAPIExEvents properties
public:

};
